<!DOCTYPE html>
<html>

<head>
  <title>Office List</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/handsontable/dist/handsontable.full.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/handsontable/dist/handsontable.full.min.js"></script>
  <script src="https://unpkg.com/xlsx/dist/xlsx.full.min.js"></script>
</head>

<body>
  <div class="container mt-4">
    <h1>Office List</h1>
    <div id="hot"></div>
    <button id="btn-export" class="btn btn-primary mt-3">Export to Excel</button>
  </div>

  <script>
    $(document).ready(function () {
      var hot = new Handsontable(document.getElementById('hot'), {
        data: [],
        colHeaders: ['ID', 'City', 'Phone', 'Address Line', 'State', 'Country', 'Territory']
      });
      // Gọi API
      $.ajax({
        url: 'http://localhost:8080/offices',
        method: 'GET',
        dataType: 'json',
        success: function (response) {
          hot.loadData(response);
        },
        error: function (xhr, status, error) {
          console.log(error);
        }
      });

      // Xử lý sự kiện khi nhấn nút Export to Excel
      $('#btn-export').click(function () {
        var data = hot.getData();
        var headers = hot.getColHeader();

        var workbook = XLSX.utils.book_new();
        var worksheet = XLSX.utils.aoa_to_sheet([headers].concat(data));
        XLSX.utils.book_append_sheet(workbook, worksheet, 'Office List');
        XLSX.writeFile(workbook, 'office_list.xlsx');
      });
    });
  </script>
</body>

</html>